aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gatling/gatling.initd
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2016-10-25 21:16:29 +0200
committerSören Tempel <soeren+git@soeren-tempel.net>2016-10-25 21:19:11 +0200
commit4799f90eea54a1a66495cd3a65b8ede487421eae (patch)
tree0c95e0dd9de32df85366e4a9711cc9c4964707e8 /testing/gatling/gatling.initd
parentabde00db46cd7767703bc023da33a2a7fda4f5ce (diff)
downloadaports-4799f90eea54a1a66495cd3a65b8ede487421eae.tar.bz2
aports-4799f90eea54a1a66495cd3a65b8ede487421eae.tar.xz
testing/gatling: new aport
Diffstat (limited to 'testing/gatling/gatling.initd')
-rw-r--r--testing/gatling/gatling.initd69
1 files changed, 69 insertions, 0 deletions
diff --git a/testing/gatling/gatling.initd b/testing/gatling/gatling.initd
new file mode 100644
index 0000000000..96c56f0225
--- /dev/null
+++ b/testing/gatling/gatling.initd
@@ -0,0 +1,69 @@
+#!/sbin/openrc-run
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+description="Gatling high performance web server init script"
+extra_started_commands="reload"
+
+depend() {
+ need net
+}
+
+checkconfig() {
+ # Verify UID is valid for running process.
+ if ! id ${GATLING_UID} >/dev/null 2>&1; then
+ ewarn "User ${GATLING_UID} not found!"
+ return 1
+ fi
+
+ # Set gatling run opts
+ if yesno ${VHOST};then VHOST=-v;else VHOST=-V;fi
+ if yesno ${SSL};then SSL=-e;else SSL=-E;fi
+ if yesno ${DIR_INDEXING};then DIR_INDEXING=-d;else DIR_INDEXING=-D;fi
+ if yesno ${FTP}; then FTP=-f;else FTP=-F;fi
+ if yesno ${FTP_AUTH}; then FTP_AUTH=-l;else unset FTP_AUTH;fi
+ if yesno ${FTP_UP};then unset FTP_UP;else FTP_UP=-U;fi
+ if yesno ${TRANS_PROXY};then TRANS_PROXY=-t;else unset TRANS_PROXY;fi
+}
+
+start() {
+ checkconfig || return 1
+
+ ebegin "Starting gatling"
+ start-stop-daemon --start --quiet --background \
+ --make-pidfile --pidfile ${PID} \
+ --name gatling --exec /usr/bin/gatling -- \
+ -T ${HTTP_TIMEOUT} -i ${IP} -p ${PORT} -P ${PREFETCH} \
+ ${VHOST} -c ${ROOTDIR} ${DIR_INDEXING} ${TRANS_PROXY} \
+ -u ${GATLING_UID} ${FTP} -T ${FTP_TIMEOUT} \
+ ${FTP_AUTH} ${FTP_UPLOADS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping gatling"
+ start-stop-daemon --quiet --stop --pidfile ${PID}
+ eend $?
+}
+
+reload() {
+ if ! service_started "${SVCNAME}" ; then
+ eerror "${SVCNAME} isn't running"
+ return 1
+ fi
+
+ checkconfig || return 1
+
+ ebegin "Sending gatling the HUP signal"
+ start-stop-daemon --quiet --signal HUP --pidfile ${PID}
+
+ ebegin "Restarting gatling server"
+ start-stop-daemon --start --quiet --background \
+ --make-pidfile --pidfile ${PID} \
+ --name gatling --exec /usr/bin/gatling -- \
+ -T ${HTTP_TIMEOUT} -i ${IP} -p ${PORT} -P ${PREFETCH} \
+ ${VHOST} -c ${ROOTDIR} ${DIR_INDEXING} ${TRANS_PROXY} \
+ -u ${GATLING_UID} ${FTP} -T ${FTP_TIMEOUT} \
+ ${FTP_AUTH} ${FTP_UPLOADS}
+ eend $?
+}